Create a batch of boarding requests
curl --request POST \
--url https://{your-base-url}/v1/boarding \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-acquirer-id: <x-acquirer-id>' \
--data '
[
{
"operation": "CREATE",
"location": {
"locationId": "LOC001",
"name": "Main Street Store",
"cardAcceptors": [
{
"cardAcceptorId": "CA001",
"templateId": 1,
"baseCurrency": 728,
"description": "Main Terminal"
}
],
"mcc": 5411,
"address": {
"lineOne": "Apartment 15",
"lineTwo": "501 W Glenoaks Blvd",
"lineThree": "<string>",
"city": "Glendale",
"postalCode": "91202",
"country": "IE"
},
"groupName": "East Coast Stores",
"contact": {
"name": "Jane Smith",
"email": "accounts@merchant.com"
},
"bankAccount": {
"accountName": "ACME Payments Ltd",
"accountNumber": "12345678",
"sortCode": "40-30-20",
"bankName": "Bank of Ireland",
"addressLine1": "1 Main Street",
"city": "Dublin",
"postalCode": "D02 XY12",
"countryName": "Ireland"
}
}
}
]
'import requests
url = "https://{your-base-url}/v1/boarding"
payload = [
{
"operation": "CREATE",
"location": {
"locationId": "LOC001",
"name": "Main Street Store",
"cardAcceptors": [
{
"cardAcceptorId": "CA001",
"templateId": 1,
"baseCurrency": 728,
"description": "Main Terminal"
}
],
"mcc": 5411,
"address": {
"lineOne": "Apartment 15",
"lineTwo": "501 W Glenoaks Blvd",
"lineThree": "<string>",
"city": "Glendale",
"postalCode": "91202",
"country": "IE"
},
"groupName": "East Coast Stores",
"contact": {
"name": "Jane Smith",
"email": "accounts@merchant.com"
},
"bankAccount": {
"accountName": "ACME Payments Ltd",
"accountNumber": "12345678",
"sortCode": "40-30-20",
"bankName": "Bank of Ireland",
"addressLine1": "1 Main Street",
"city": "Dublin",
"postalCode": "D02 XY12",
"countryName": "Ireland"
}
}
}
]
headers = {
"x-acquirer-id": "<x-acquirer-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-acquirer-id': '<x-acquirer-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify([
{
operation: 'CREATE',
location: {
locationId: 'LOC001',
name: 'Main Street Store',
cardAcceptors: [
{
cardAcceptorId: 'CA001',
templateId: 1,
baseCurrency: 728,
description: 'Main Terminal'
}
],
mcc: 5411,
address: {
lineOne: 'Apartment 15',
lineTwo: '501 W Glenoaks Blvd',
lineThree: '<string>',
city: 'Glendale',
postalCode: '91202',
country: 'IE'
},
groupName: 'East Coast Stores',
contact: {name: 'Jane Smith', email: 'accounts@merchant.com'},
bankAccount: {
accountName: 'ACME Payments Ltd',
accountNumber: '12345678',
sortCode: '40-30-20',
bankName: 'Bank of Ireland',
addressLine1: '1 Main Street',
city: 'Dublin',
postalCode: 'D02 XY12',
countryName: 'Ireland'
}
}
}
])
};
fetch('https://{your-base-url}/v1/boarding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{your-base-url}/v1/boarding",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'operation' => 'CREATE',
'location' => [
'locationId' => 'LOC001',
'name' => 'Main Street Store',
'cardAcceptors' => [
[
'cardAcceptorId' => 'CA001',
'templateId' => 1,
'baseCurrency' => 728,
'description' => 'Main Terminal'
]
],
'mcc' => 5411,
'address' => [
'lineOne' => 'Apartment 15',
'lineTwo' => '501 W Glenoaks Blvd',
'lineThree' => '<string>',
'city' => 'Glendale',
'postalCode' => '91202',
'country' => 'IE'
],
'groupName' => 'East Coast Stores',
'contact' => [
'name' => 'Jane Smith',
'email' => 'accounts@merchant.com'
],
'bankAccount' => [
'accountName' => 'ACME Payments Ltd',
'accountNumber' => '12345678',
'sortCode' => '40-30-20',
'bankName' => 'Bank of Ireland',
'addressLine1' => '1 Main Street',
'city' => 'Dublin',
'postalCode' => 'D02 XY12',
'countryName' => 'Ireland'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-acquirer-id: <x-acquirer-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{your-base-url}/v1/boarding"
payload := strings.NewReader("[\n {\n \"operation\": \"CREATE\",\n \"location\": {\n \"locationId\": \"LOC001\",\n \"name\": \"Main Street Store\",\n \"cardAcceptors\": [\n {\n \"cardAcceptorId\": \"CA001\",\n \"templateId\": 1,\n \"baseCurrency\": 728,\n \"description\": \"Main Terminal\"\n }\n ],\n \"mcc\": 5411,\n \"address\": {\n \"lineOne\": \"Apartment 15\",\n \"lineTwo\": \"501 W Glenoaks Blvd\",\n \"lineThree\": \"<string>\",\n \"city\": \"Glendale\",\n \"postalCode\": \"91202\",\n \"country\": \"IE\"\n },\n \"groupName\": \"East Coast Stores\",\n \"contact\": {\n \"name\": \"Jane Smith\",\n \"email\": \"accounts@merchant.com\"\n },\n \"bankAccount\": {\n \"accountName\": \"ACME Payments Ltd\",\n \"accountNumber\": \"12345678\",\n \"sortCode\": \"40-30-20\",\n \"bankName\": \"Bank of Ireland\",\n \"addressLine1\": \"1 Main Street\",\n \"city\": \"Dublin\",\n \"postalCode\": \"D02 XY12\",\n \"countryName\": \"Ireland\"\n }\n }\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-acquirer-id", "<x-acquirer-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{your-base-url}/v1/boarding")
.header("x-acquirer-id", "<x-acquirer-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"operation\": \"CREATE\",\n \"location\": {\n \"locationId\": \"LOC001\",\n \"name\": \"Main Street Store\",\n \"cardAcceptors\": [\n {\n \"cardAcceptorId\": \"CA001\",\n \"templateId\": 1,\n \"baseCurrency\": 728,\n \"description\": \"Main Terminal\"\n }\n ],\n \"mcc\": 5411,\n \"address\": {\n \"lineOne\": \"Apartment 15\",\n \"lineTwo\": \"501 W Glenoaks Blvd\",\n \"lineThree\": \"<string>\",\n \"city\": \"Glendale\",\n \"postalCode\": \"91202\",\n \"country\": \"IE\"\n },\n \"groupName\": \"East Coast Stores\",\n \"contact\": {\n \"name\": \"Jane Smith\",\n \"email\": \"accounts@merchant.com\"\n },\n \"bankAccount\": {\n \"accountName\": \"ACME Payments Ltd\",\n \"accountNumber\": \"12345678\",\n \"sortCode\": \"40-30-20\",\n \"bankName\": \"Bank of Ireland\",\n \"addressLine1\": \"1 Main Street\",\n \"city\": \"Dublin\",\n \"postalCode\": \"D02 XY12\",\n \"countryName\": \"Ireland\"\n }\n }\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://{your-base-url}/v1/boarding")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-acquirer-id"] = '<x-acquirer-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"operation\": \"CREATE\",\n \"location\": {\n \"locationId\": \"LOC001\",\n \"name\": \"Main Street Store\",\n \"cardAcceptors\": [\n {\n \"cardAcceptorId\": \"CA001\",\n \"templateId\": 1,\n \"baseCurrency\": 728,\n \"description\": \"Main Terminal\"\n }\n ],\n \"mcc\": 5411,\n \"address\": {\n \"lineOne\": \"Apartment 15\",\n \"lineTwo\": \"501 W Glenoaks Blvd\",\n \"lineThree\": \"<string>\",\n \"city\": \"Glendale\",\n \"postalCode\": \"91202\",\n \"country\": \"IE\"\n },\n \"groupName\": \"East Coast Stores\",\n \"contact\": {\n \"name\": \"Jane Smith\",\n \"email\": \"accounts@merchant.com\"\n },\n \"bankAccount\": {\n \"accountName\": \"ACME Payments Ltd\",\n \"accountNumber\": \"12345678\",\n \"sortCode\": \"40-30-20\",\n \"bankName\": \"Bank of Ireland\",\n \"addressLine1\": \"1 Main Street\",\n \"city\": \"Dublin\",\n \"postalCode\": \"D02 XY12\",\n \"countryName\": \"Ireland\"\n }\n }\n }\n]"
response = http.request(request)
puts response.read_body{
"boardingId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"status": "PENDING",
"submittedAt": "2023-10-15T14:30:45.123Z"
}{
"status": "ERROR",
"submittedAt": "2023-10-15T14:30:45.123Z",
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "The provided location ID format is invalid",
"title": "Invalid Input"
}
]
}{
"status": "ERROR",
"submittedAt": "2023-10-15T14:30:45.123Z",
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "The provided location ID format is invalid",
"title": "Invalid Input"
}
]
}Boarding API
Create a batch of boarding requests
Creates multiple boarding requests for locations and card acceptors in a single batch operation
Create a batch of boarding requests
curl --request POST \
--url https://{your-base-url}/v1/boarding \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-acquirer-id: <x-acquirer-id>' \
--data '
[
{
"operation": "CREATE",
"location": {
"locationId": "LOC001",
"name": "Main Street Store",
"cardAcceptors": [
{
"cardAcceptorId": "CA001",
"templateId": 1,
"baseCurrency": 728,
"description": "Main Terminal"
}
],
"mcc": 5411,
"address": {
"lineOne": "Apartment 15",
"lineTwo": "501 W Glenoaks Blvd",
"lineThree": "<string>",
"city": "Glendale",
"postalCode": "91202",
"country": "IE"
},
"groupName": "East Coast Stores",
"contact": {
"name": "Jane Smith",
"email": "accounts@merchant.com"
},
"bankAccount": {
"accountName": "ACME Payments Ltd",
"accountNumber": "12345678",
"sortCode": "40-30-20",
"bankName": "Bank of Ireland",
"addressLine1": "1 Main Street",
"city": "Dublin",
"postalCode": "D02 XY12",
"countryName": "Ireland"
}
}
}
]
'import requests
url = "https://{your-base-url}/v1/boarding"
payload = [
{
"operation": "CREATE",
"location": {
"locationId": "LOC001",
"name": "Main Street Store",
"cardAcceptors": [
{
"cardAcceptorId": "CA001",
"templateId": 1,
"baseCurrency": 728,
"description": "Main Terminal"
}
],
"mcc": 5411,
"address": {
"lineOne": "Apartment 15",
"lineTwo": "501 W Glenoaks Blvd",
"lineThree": "<string>",
"city": "Glendale",
"postalCode": "91202",
"country": "IE"
},
"groupName": "East Coast Stores",
"contact": {
"name": "Jane Smith",
"email": "accounts@merchant.com"
},
"bankAccount": {
"accountName": "ACME Payments Ltd",
"accountNumber": "12345678",
"sortCode": "40-30-20",
"bankName": "Bank of Ireland",
"addressLine1": "1 Main Street",
"city": "Dublin",
"postalCode": "D02 XY12",
"countryName": "Ireland"
}
}
}
]
headers = {
"x-acquirer-id": "<x-acquirer-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-acquirer-id': '<x-acquirer-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify([
{
operation: 'CREATE',
location: {
locationId: 'LOC001',
name: 'Main Street Store',
cardAcceptors: [
{
cardAcceptorId: 'CA001',
templateId: 1,
baseCurrency: 728,
description: 'Main Terminal'
}
],
mcc: 5411,
address: {
lineOne: 'Apartment 15',
lineTwo: '501 W Glenoaks Blvd',
lineThree: '<string>',
city: 'Glendale',
postalCode: '91202',
country: 'IE'
},
groupName: 'East Coast Stores',
contact: {name: 'Jane Smith', email: 'accounts@merchant.com'},
bankAccount: {
accountName: 'ACME Payments Ltd',
accountNumber: '12345678',
sortCode: '40-30-20',
bankName: 'Bank of Ireland',
addressLine1: '1 Main Street',
city: 'Dublin',
postalCode: 'D02 XY12',
countryName: 'Ireland'
}
}
}
])
};
fetch('https://{your-base-url}/v1/boarding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{your-base-url}/v1/boarding",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'operation' => 'CREATE',
'location' => [
'locationId' => 'LOC001',
'name' => 'Main Street Store',
'cardAcceptors' => [
[
'cardAcceptorId' => 'CA001',
'templateId' => 1,
'baseCurrency' => 728,
'description' => 'Main Terminal'
]
],
'mcc' => 5411,
'address' => [
'lineOne' => 'Apartment 15',
'lineTwo' => '501 W Glenoaks Blvd',
'lineThree' => '<string>',
'city' => 'Glendale',
'postalCode' => '91202',
'country' => 'IE'
],
'groupName' => 'East Coast Stores',
'contact' => [
'name' => 'Jane Smith',
'email' => 'accounts@merchant.com'
],
'bankAccount' => [
'accountName' => 'ACME Payments Ltd',
'accountNumber' => '12345678',
'sortCode' => '40-30-20',
'bankName' => 'Bank of Ireland',
'addressLine1' => '1 Main Street',
'city' => 'Dublin',
'postalCode' => 'D02 XY12',
'countryName' => 'Ireland'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-acquirer-id: <x-acquirer-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{your-base-url}/v1/boarding"
payload := strings.NewReader("[\n {\n \"operation\": \"CREATE\",\n \"location\": {\n \"locationId\": \"LOC001\",\n \"name\": \"Main Street Store\",\n \"cardAcceptors\": [\n {\n \"cardAcceptorId\": \"CA001\",\n \"templateId\": 1,\n \"baseCurrency\": 728,\n \"description\": \"Main Terminal\"\n }\n ],\n \"mcc\": 5411,\n \"address\": {\n \"lineOne\": \"Apartment 15\",\n \"lineTwo\": \"501 W Glenoaks Blvd\",\n \"lineThree\": \"<string>\",\n \"city\": \"Glendale\",\n \"postalCode\": \"91202\",\n \"country\": \"IE\"\n },\n \"groupName\": \"East Coast Stores\",\n \"contact\": {\n \"name\": \"Jane Smith\",\n \"email\": \"accounts@merchant.com\"\n },\n \"bankAccount\": {\n \"accountName\": \"ACME Payments Ltd\",\n \"accountNumber\": \"12345678\",\n \"sortCode\": \"40-30-20\",\n \"bankName\": \"Bank of Ireland\",\n \"addressLine1\": \"1 Main Street\",\n \"city\": \"Dublin\",\n \"postalCode\": \"D02 XY12\",\n \"countryName\": \"Ireland\"\n }\n }\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-acquirer-id", "<x-acquirer-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{your-base-url}/v1/boarding")
.header("x-acquirer-id", "<x-acquirer-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"operation\": \"CREATE\",\n \"location\": {\n \"locationId\": \"LOC001\",\n \"name\": \"Main Street Store\",\n \"cardAcceptors\": [\n {\n \"cardAcceptorId\": \"CA001\",\n \"templateId\": 1,\n \"baseCurrency\": 728,\n \"description\": \"Main Terminal\"\n }\n ],\n \"mcc\": 5411,\n \"address\": {\n \"lineOne\": \"Apartment 15\",\n \"lineTwo\": \"501 W Glenoaks Blvd\",\n \"lineThree\": \"<string>\",\n \"city\": \"Glendale\",\n \"postalCode\": \"91202\",\n \"country\": \"IE\"\n },\n \"groupName\": \"East Coast Stores\",\n \"contact\": {\n \"name\": \"Jane Smith\",\n \"email\": \"accounts@merchant.com\"\n },\n \"bankAccount\": {\n \"accountName\": \"ACME Payments Ltd\",\n \"accountNumber\": \"12345678\",\n \"sortCode\": \"40-30-20\",\n \"bankName\": \"Bank of Ireland\",\n \"addressLine1\": \"1 Main Street\",\n \"city\": \"Dublin\",\n \"postalCode\": \"D02 XY12\",\n \"countryName\": \"Ireland\"\n }\n }\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://{your-base-url}/v1/boarding")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-acquirer-id"] = '<x-acquirer-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"operation\": \"CREATE\",\n \"location\": {\n \"locationId\": \"LOC001\",\n \"name\": \"Main Street Store\",\n \"cardAcceptors\": [\n {\n \"cardAcceptorId\": \"CA001\",\n \"templateId\": 1,\n \"baseCurrency\": 728,\n \"description\": \"Main Terminal\"\n }\n ],\n \"mcc\": 5411,\n \"address\": {\n \"lineOne\": \"Apartment 15\",\n \"lineTwo\": \"501 W Glenoaks Blvd\",\n \"lineThree\": \"<string>\",\n \"city\": \"Glendale\",\n \"postalCode\": \"91202\",\n \"country\": \"IE\"\n },\n \"groupName\": \"East Coast Stores\",\n \"contact\": {\n \"name\": \"Jane Smith\",\n \"email\": \"accounts@merchant.com\"\n },\n \"bankAccount\": {\n \"accountName\": \"ACME Payments Ltd\",\n \"accountNumber\": \"12345678\",\n \"sortCode\": \"40-30-20\",\n \"bankName\": \"Bank of Ireland\",\n \"addressLine1\": \"1 Main Street\",\n \"city\": \"Dublin\",\n \"postalCode\": \"D02 XY12\",\n \"countryName\": \"Ireland\"\n }\n }\n }\n]"
response = http.request(request)
puts response.read_body{
"boardingId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"status": "PENDING",
"submittedAt": "2023-10-15T14:30:45.123Z"
}{
"status": "ERROR",
"submittedAt": "2023-10-15T14:30:45.123Z",
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "The provided location ID format is invalid",
"title": "Invalid Input"
}
]
}{
"status": "ERROR",
"submittedAt": "2023-10-15T14:30:45.123Z",
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "The provided location ID format is invalid",
"title": "Invalid Input"
}
]
}Authorizations
Body
application/json
Response
Boarding requests accepted for processing
Response containing boarding submission details
